import java.io.*;

/**
* @date April 20, 1998 ( Updated at 1998 )
* @author H. Timucin Ozdemir
*/
public class FlightRecord 
{

    public String origin;
    public String destination;
    public String airlineName;
    public String flightNum;
    public String planeType;
    public String departure;
    public String arrival;
    public String date; 

    public 
    FlightRecord( String _origin, String _destination, String _airlineName,
                  String _flightNum, String _planeType, String _departure,
                  String _arrival, String _date) 
    {

       origin = _origin;
       destination = _destination;
       airlineName = _airlineName;
       flightNum = _flightNum;
       planeType = _planeType;
       departure = _departure;
       arrival = _arrival;
       date = _date; 

    }// end of CONSTRUCTOR

    public boolean
    equals(FlightRecord rec)
    {
       boolean ret = ( origin.equals(rec.origin) && 
		       destination.equals(rec.destination) &&
		       //airlineName.equals(rec.airlineName) && 
		       //flightNum.equals(rec.flightNum) &&
		       //planeType.equals(rec.planeType) && 
		       departure.equals(rec.departure) &&
		       arrival.equals(rec.arrival) );

       return ret;

    }// end of equals()

    public void
    print(PrintWriter out)
    {
       /*
       SimpleTimeZone pdt = new SimpleTimeZone(-8 * 60 * 60 * 1000, "PST");
       pdt.setStartRule(Calendar.APRIL, 1, Calendar.SUNDAY, 2*60*60*1000);
       pdt.setEndRule(Calendar.OCTOBER, -1, Calendar.SUNDAY, 2*60*60*1000);

     // Format the current time.
     SimpleDateFormat formatter = new SimpleDateFormat ("mm/dd/yy");
     Date currentTime_1 = new Date();

     String dateString = formatter.format(currentTime_1);

     // Parse the previous string back into a Date.
     ParsePosition pos = new ParsePosition(0);
     Date currentTime_2 = formatter.parse(date, pos);
     */
     
       //PrintWriter pw = new PrintWriter(out);
       //pw.println(origin+" "+destination+" M,"+departure+" M,"+arrival); 
       out.print(origin+" "+destination+" "+departure+" "+arrival); 
       out.println(" "+flightNum+" "+planeType);
    }// end of print

    public void
    print(PrintStream out)
    {
       out.print(origin+" "+destination+" M,"+departure+" M,"+arrival); 
       out.println(" "+flightNum+" "+planeType);
    }// end of print

}
